Hi list,
I use the latest stable openssl version and try to compile my
application and get a lot of such errors:
In file included from /usr/local/include/openssl/x509.h:572,
from /usr/local/include/openssl/ssl.h:183,
from ../../sslsockimpl.cpp:64:
/usr/local/include/openssl/pkcs7.h:88: error: expected `)' before
numeric constant
/usr/local/include/openssl/pkcs7.h:104: error: expected `)' before
numeric constant
/usr/local/include/openssl/pkcs7.h:296: error: expected `)' before
numeric constant
/usr/local/include/openssl/pkcs7.h:296: error: expected `)' before
numeric constant
/usr/local/include/openssl/pkcs7.h:296: error: expected `)' before
numeric constant
/usr/local/include/openssl/pkcs7.h:296: error: invalid conversion from
‘const CHAR*’ to ‘int’
/usr/local/include/openssl/pkcs7.h:296: error: expected ‘,’ or ‘;’
before ‘(’ token
/usr/local/include/openssl/pkcs7.h:296: error: expected `)' before
numeric constant
/usr/local/include/openssl/pkcs7.h:316: error: ‘p7i’ was not declared in
this scope
/usr/local/include/openssl/pkcs7.h:316: error: expected
primary-expression before ‘*’ token
/usr/local/include/openssl/pkcs7.h:316: error: ‘x509’ was not declared
in this scope
etc.

To compile I do: g++ -I/usr/local/include -L/usr/local/lib -lssl
-lcrypto -ldl mysourcefile.cpp
g++ (SUSE Linux) 4.3.1 20080507 (prerelease) [gcc-4_3-branch revision
135036]
OpenSSL 0.9.8i 15 Sep 2008

But I can build openssl itself without any problems. It looks like some
g++ failure. What's wrong?


--
Cheers, Evgeniy.
Key fingerprint: F316 B5A1 F6D2 054F CD18 B74A 9540 0ABB 1FE5 67A3

__________________________________________________ ____________________
OpenSSL Project http://www.openssl.org
User Support Mailing List openssl-users@openssl.org
Automated List Manager majordomo@openssl.org